package net.webservicex
{
	 import mx.rpc.xml.Schema
	 public class BaseWeatherForecastSchema
	{
		 public var schemas:Array = new Array();
		 public var targetNamespaces:Array = new Array();
		 public function BaseWeatherForecastSchema():void
{		
			 var xsdXML0:XML = <s:schema xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:tns="http://www.webservicex.net" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.webservicex.net">
    <s:element name="GetWeatherByZipCode">
        <s:complexType>
            <s:sequence>
                <s:element minOccurs="0" name="ZipCode" type="s:string"/>
            </s:sequence>
        </s:complexType>
    </s:element>
    <s:element name="GetWeatherByZipCodeResponse">
        <s:complexType>
            <s:sequence>
                <s:element name="GetWeatherByZipCodeResult" type="tns:WeatherForecasts"/>
            </s:sequence>
        </s:complexType>
    </s:element>
    <s:complexType name="WeatherForecasts">
        <s:sequence>
            <s:element name="Latitude" type="s:float"/>
            <s:element name="Longitude" type="s:float"/>
            <s:element name="AllocationFactor" type="s:float"/>
            <s:element minOccurs="0" name="FipsCode" type="s:string"/>
            <s:element minOccurs="0" name="PlaceName" type="s:string"/>
            <s:element minOccurs="0" name="StateCode" type="s:string"/>
            <s:element minOccurs="0" name="Status" type="s:string"/>
            <s:element minOccurs="0" name="Details" type="tns:ArrayOfWeatherData"/>
        </s:sequence>
    </s:complexType>
    <s:complexType name="ArrayOfWeatherData">
        <s:sequence>
            <s:element maxOccurs="unbounded" minOccurs="0" name="WeatherData" type="tns:WeatherData"/>
        </s:sequence>
    </s:complexType>
    <s:complexType name="WeatherData">
        <s:sequence>
            <s:element minOccurs="0" name="Day" type="s:string"/>
            <s:element minOccurs="0" name="WeatherImage" type="s:string"/>
            <s:element minOccurs="0" name="MaxTemperatureF" type="s:string"/>
            <s:element minOccurs="0" name="MinTemperatureF" type="s:string"/>
            <s:element minOccurs="0" name="MaxTemperatureC" type="s:string"/>
            <s:element minOccurs="0" name="MinTemperatureC" type="s:string"/>
        </s:sequence>
    </s:complexType>
    <s:element name="GetWeatherByPlaceName">
        <s:complexType>
            <s:sequence>
                <s:element minOccurs="0" name="PlaceName" type="s:string"/>
            </s:sequence>
        </s:complexType>
    </s:element>
    <s:element name="GetWeatherByPlaceNameResponse">
        <s:complexType>
            <s:sequence>
                <s:element name="GetWeatherByPlaceNameResult" type="tns:WeatherForecasts"/>
            </s:sequence>
        </s:complexType>
    </s:element>
    <s:element name="WeatherForecasts" type="tns:WeatherForecasts"/>
</s:schema>
;
			 var xsdSchema0:Schema = new Schema(xsdXML0);
			schemas.push(xsdSchema0);
			targetNamespaces.push(new Namespace('','http://www.webservicex.net'));
		}
	}
}